html {
  position: relative;
  min-height: 100%;
}

.footer {
  padding-top: 50px;
  padding-bottom: 50px;
  margin-top: 50px;
  width: 100%;
  background-color: #f5f5f5;
}

.container {
  width: auto;
  max-width: 1280px;
  padding: 0 15px;
}

.container .text-muted {
  margin: 20px 0;
}

#stdout {
  margin-top: 40px;
  margin-bottom: 5px;
}

#testscript {
  width: 100%;
  margin-bottom: 5px;
}

#test_result_wrap {
  margin-top: 40px;
  padding: 15px;
  background-color: #f7fdff;
}

.top5 { margin-top:5px; }
.top7 { margin-top:7px; }
.top10 { margin-top:10px; }
.top15 { margin-top:15px; }
.top17 { margin-top:17px; }
.top30 { margin-top:30px; }

.cover {
    display: inline-block;
    background-color: #ccc;
    background-position: center center;
    background-repeat: no-repeat;
    margin: 5px;
    width: 155px;
    height: 155px;
    border: 1px solid #ccc;
    background-size: cover;
}

.btn-group { display: inline-block; }

.screenshot {
    margin: 5px;
    border: 1px;
    float: left;
    display: inline;
    outline: 1px solid #468847;
}

.screenshot div {
    background-color: #468847;
    height: 2em;
}

.screenshot-fail {
    outline: 1px solid #ff7d79;
}
.screenshot-fail div {
    background-color: #ff7d79;
}

.screenshot div span {
    font-size: 0.7em;
    padding: 2px;
    overflow: hidden;
    white-space: nowrap;
    width: 150px;
    color: white; 
    display: inline-block;
    vertical-align: middle;
    text-overflow: ellipsis;
    -webkit-text-overflow: ellipsis; /* Safari */
    -o-text-overflow: ellipsis; /* Opera */
}

.pass-or-fail {
}
.pass-or-fail span {
    font-size: 1.5em;
}

table.checking-status-table,
table.test-result-table {
    table-layout: fixed;
    word-wrap: break-word;
    margin-top: 1em;
    margin-bottom: 1em;
}

table.checking-status-table .step-result-col .label,
table.test-result-table .step-result-col .label {
    padding-left: 1em;
    padding-right: 1em;
}

table.checking-status-table .step-result-col,
table.test-result-table .step-result-col{
    width: 80px;
    text-align: center;
}

table.checking-status-table .no-screen-image,
table.test-result-table .no-screen-image {
    width: 100px;
}

table.checking-status-table .fail-reason,
table.test-result-table .fail-reason {
    margin-top: 10px;
    color: #b94a48;
}

table.checking-status-table .step-screenshot-col,
table.test-result-table .step-screenshot-col {
    width: 116px;
}

#footer .translations {
    margin-bottom: 1em;
}

#footer .translations:before {
    content: "Languages: ";
    margin-right: 0.5em;
}

#footer .translations > * {
    margin-right: 1em;
}

#footer .footer-links {
    margin-bottom: 1em;
}

#footer .footer-links > * {
    margin-right: 1em;
}

#footer .copyright {
    font-size: 0.9em;
}